com.corticon.service.ccserver.exception

## Class CcServerDecisionServiceBatchNotCurrentlyRunningException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerDecisionServiceBatchNotCurrentlyRunningException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerDecisionServiceBatchNotCurrentlyRunningException
      extends CcServerException
      implements java.io.Serializable

  `CcServerDecisionServiceBatchNotCurrentlyRunningException` is thrown if an attempt is made to stop a Batch Process on a Decision Service that currently isn't running a Batch Process.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerDecisionServiceBatchNotCurrentlyRunningException()`
    `CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.String astrMessage)`
    `CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerDecisionServiceBatchNotCurrentlyRunningException

          public CcServerDecisionServiceBatchNotCurrentlyRunningException()

    - #### CcServerDecisionServiceBatchNotCurrentlyRunningException

          public CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.String astrMessage)

    - #### CcServerDecisionServiceBatchNotCurrentlyRunningException

          public CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.String astrMessage,
                                                                          java.lang.Object aobject)

    - #### CcServerDecisionServiceBatchNotCurrentlyRunningException

          public CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.Exception aparentException,
                                                                          java.lang.String astrMessage)

    - #### CcServerDecisionServiceBatchNotCurrentlyRunningException

          public CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.Exception aparentException,
                                                                          java.lang.Object aobject)

    - #### CcServerDecisionServiceBatchNotCurrentlyRunningException

          public CcServerDecisionServiceBatchNotCurrentlyRunningException(java.lang.Exception aparentException,
                                                                          java.lang.String astrMessage,
                                                                          java.lang.Object aobject)

Copyright © 2005-2019 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.